package com.liquidnet.service.consumer.order.receiver;

import com.liquidnet.service.base.constant.MQConst;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class ConsumerGoblinPhoneCodeReceiver extends AbstractHttpRedisReceiver {

    @Override
    protected String getRedisStreamKey() {
        return MQConst.GoblinQueue.GOBLIN_PHONE_CODE_OPERA.getKey();
    }

    @Override
    protected String getRedisStreamGroup() {
        return MQConst.GoblinQueue.GOBLIN_PHONE_CODE_OPERA.getGroup();
    }

}
